package com.younike.common.constant;

/**
 * 优惠券状态
 * Code 004
 *
 * @author chenpengfei
 */
public enum CouponState {

    UNUSED("待使用","001"),

    USED("已使用","002"),

    EXPIRED("已过期","003"),

    INVALID("已作废","004"),

    PUBLISHED("已发布","005");

    private final String name;

    private final String state;

    CouponState(String name, String state) {
        this.name = name;
        this.state = state;
    }

    public String getName() {
        return name;
    }

    public String getState() {
        return state;
    }
}
